import './App.css';
import Button from './components/Button';

function App() {
  const handleClick = () => {
    const a = 1;
    const b = 2;
    const obj = {
      a,
      b,
    };
    const c = a + b;
    console.log(c, obj);
  };

  return (
    <>
      <div>
        <h1>Hello Typescript with React and Vite</h1>
        <Button
          label="Click me"
          onClick={handleClick}
        />
      </div>
    </>
  );
}

export default App;

